class FotosController < ApplicationController

  include AuthenticatedSystem
  before_filter :login_required, :except => %w[read]
  
  def read
    @foto = Foto.find(params[:id])

    send_data(@foto.content,
              :filename => @foto.filename,
              :type => @foto.mimetype,
              :disposition => 'inline')
  end

  def new
    
    @user = current_user
    @foto = Foto.new
    
    if request.post?
      
      @foto = Foto.new(params[:foto])
      
      if @foto.save
        @show = true
        # FOTO INSERIDA COM SUCESSO
      else
        # J EXISTE UMA FOTO PARA ESTE USER
        
        @foto2 = Foto.find(@user)
        @foto2.upload = @foto.upload
        @show = @foto2.save 
      end
      
      if @show
         redirect_to :controller => 'fotos',
                     :action => 'read',
                     :id => @foto2
      end
    end
  end
  
end