require 'test_helper'

class ViasControllerTest < ActionController::TestCase
  def test_should_get_index
    get :index
    assert_response :success
    assert_not_nil assigns(:vias)
  end

  def test_should_get_new
    get :new
    assert_response :success
  end

  def test_should_create_via
    assert_difference('Via.count') do
      post :create, :via => { }
    end

    assert_redirected_to via_path(assigns(:via))
  end

  def test_should_show_via
    get :show, :id => vias(:one).id
    assert_response :success
  end

  def test_should_get_edit
    get :edit, :id => vias(:one).id
    assert_response :success
  end

  def test_should_update_via
    put :update, :id => vias(:one).id, :via => { }
    assert_redirected_to via_path(assigns(:via))
  end

  def test_should_destroy_via
    assert_difference('Via.count', -1) do
      delete :destroy, :id => vias(:one).id
    end

    assert_redirected_to vias_path
  end
end
