class Referencia < ActiveRecord::Base
  
  belongs_to :via
  validates_uniqueness_of :nome, :scope => [:via_id, :numero]
  validates_presence_of :via_id
  
  attr_accessor :size

  def marcar_acesso
    self.contador_acessos = self.contador_acessos  + 1
    self.save
    
  end

  def self.get_cloud
    referencias = Referencia.find(:all, :limit => 32, :order => "contador_acessos DESC")
    maior_contador = referencias.first
    menor_contador = referencias.last
    
    referencias.each do |referencia|
        if  maior_contador.contador_acessos - menor_contador.contador_acessos != 0
           referencia.size = 7 * ((Float(referencia.contador_acessos - menor_contador.contador_acessos)) /(Float(maior_contador.contador_acessos - menor_contador.contador_acessos)))
        else
           referencia.size = 3
        end
    end
    
  end
  
  def self.get_cloud_alfabetica
    referencia = Referencia.find(:all, :limit => 40, :order => "contador_acessos DESC")
    maior_contador = referencias.first
    menor_contador = referencias.last
    referencias = Referencia.find(:all, :limit => 40, :order => "UPPER(nome)")

    referencias.each do |referencia|
        if  maior_contador.contador_acessos - menor_contador.contador_acessos != 0
           referencia.size = 7 * ((Float(referencia.contador_acessos - menor_contador.contador_acessos)) /(Float(maior_contador.contador_acessos - menor_contador.contador_acessos)))
        else
           referencia.size = 3
        end
    end
    
  end

end
